Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 307207 - [QA] sys-fs/aufs2-0_p20091214 - Pre-stripped, multilib-strict failed, LDFLAGS not respected
Summary: [QA] sys-fs/aufs2-0_p20091214 - Pre-stripped, multilib-strict failed, LDFLAGS...
Status: RESOLVED UPSTREAM
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Thomas Sachau
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-02-28 16:59 UTC by Justin Lecher
Modified: 2010-08-09 21:00 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
/var/tmp/portage/sys-fs/aufs2-0_p20091214/temp/build.log (build.log,12.25 KB, text/plain)
2010-02-28 16:59 UTC, Justin Lecher
Details
emerge.info (emerge.info,16.92 KB, text/plain)
2010-02-28 17:00 UTC, Justin Lecher
Details
adding LDFLAGS for libau.so (aufs2-0_p20100308.diff,402 bytes, patch)
2010-03-30 16:09 UTC, Kacper Kowalik (Xarthisius) (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Lecher gentoo-dev 2010-02-28 16:59:00 UTC
* QA Notice: Pre-stripped files found:
 * /usr/lib/libau.so
 * /usr/lib/libau.so.2
 * /usr/lib/libau.so.2.2
strip: x86_64-pc-linux-gnu-strip --strip-unneeded -R .comment
   lib/modules/2.6.31-gentoo-r6-group/misc/aufs.ko
   sbin/mount.aufs
   sbin/auplink
ecompressdir: bzip2 -9 /usr/share/man

 * QA Notice: Files built without respecting LDFLAGS have been detected
 *  Please include the following list of files in your report:
 * /usr/lib/libau.so
 * /usr/lib/libau.so.2
 * /usr/lib/libau.so.2.2

making executable: usr/lib/libau.so.2
making executable: usr/lib/libau.so.2.2
making executable: usr/lib/libau.so
Files matching a file type that is not allowed:
   usr/lib/libau.so
   usr/lib/libau.so.2
   usr/lib/libau.so.2.2
 * ERROR: sys-fs/aufs2-0_p20091214 failed:
 *   multilib-strict check failed!
 * 
 * Call stack:
 *   misc-functions.sh, line 804:  Called install_qa_check
 *   misc-functions.sh, line 526:  Called die
 * The specific snippet of code:
 *   		[[ ${abort} == yes ]] && die "multilib-strict check failed!"
Comment 1 Justin Lecher gentoo-dev 2010-02-28 16:59:46 UTC
Created attachment 221551 [details]
/var/tmp/portage/sys-fs/aufs2-0_p20091214/temp/build.log

build.log
Comment 2 Justin Lecher gentoo-dev 2010-02-28 17:00:20 UTC
Created attachment 221553 [details]
emerge.info

emerge--info
Comment 3 Thomas Sachau gentoo-dev 2010-03-15 17:42:59 UTC
Fixed in aufs2-0_p20100308
Comment 4 Justin Lecher gentoo-dev 2010-03-15 21:53:46 UTC
Sorry Tommy, still not respecting my LDFLAGS.
Comment 5 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2010-03-30 16:09:30 UTC
Created attachment 225845 [details, diff]
adding LDFLAGS for libau.so
Comment 6 Thomas Sachau gentoo-dev 2010-03-30 19:12:21 UTC
Already fixed upstream, will be part of next release.